<header class="page-header section-rotate  w-100 inner-header fixed-top z-index-header">
    <section class="middle-nav d-none d-md-block d-sm-none">
        <nav class="navbar navbar-expand-lg navbar-dark  bg-none p-0 ">
            <div class="container">
                <a class="navbar-brand" [routerLink]="['/home']" class="px-2">
                    <img class="img-fluid" width="113" height="43" src="../../../assets/images/logo.png" *ngIf="!dealDayLogoImgUrlLoading">
                    <ngx-skeleton-loader count="1" class="img-fluid item-img" [theme]="{width: '113px', height: '43px', 'margin-bottom': '-7px', 'background-color': '#B11A8330'}" *ngIf="dealDayLogoImgUrlLoading"></ngx-skeleton-loader>
                </a>
                <div class="collapse navbar-collapse" id="navbarText">
                    <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                        <li class="nav-item mx-4">
                            <app-top-nav-search [styles]="'558px'" [theme]="'searchwithlocation'" (openLocationModal)="OpenLocation($event, tuclocation)"></app-top-nav-search>
                        </li>
                        <li class="nav-item mx-2 d-flex align-items-center">
                            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                                <li class="nav-item mx-3 d-flex align-items-center position-relative">
                                    <div class="nav-link custom-nav-link" *ngIf="_HelperService.IsActiveUser" routerLink="/profile" fragment="wishList">
                                        <i class="fa-regular fa-heart"></i>
                                    </div>
                                    <div class="nav-link custom-nav-link" *ngIf="!_HelperService.IsActiveUser">
                                        <i class="fa-regular fa-heart"></i>
                                    </div>
                                    <span class="noti-badge" *ngIf="_DataService.TotalBookmarkCount">{{_DataService.TotalBookmarkCount}}</span>
                                </li>
                                <!-- awaiting implementation notification & cart icon -->
                                <!-- <li class="nav-item mx-2 d-flex align-items-center position-relative">
                                    <div class="nav-link custom-nav-link">
                                        <i class="fa-solid fa-bell"></i>
                                    </div>
                                    <span class="noti-badge d-none">2</span>
                                </li>
                                <li class="nav-item mx-3 d-flex align-items-center position-relative">
                                    <div class="nav-link custom-nav-link">
                                        <i class="fa fa-cart-plus"></i>                                          
                                    </div>
                                    <span class="noti-badge d-none">2</span>
                                </li> -->
                            </ul>      
                        </li>
                        <li class="nav-item mx-4">
                            <a class="btn btn-balance" (click)="viewBalance()" *ngIf="_HelperService.IsActiveUser" (click)="RefreshBalance()">
                                <i class="fa fa-wallet"></i> &nbsp;
                                <span [innerHtml]="_HelperService._Account.Country.Symbol"></span>
                                {{_DataService._Balance.Balance}}
                            </a>
                        </li>
                    </ul>
                    <div class="px-3">
                        <!-- <ul class="user_link">
                            <li class="px-3" *ngIf="!_HelperService.IsActiveUser">
                                <a class="nav-link d-flex flex-column align-items-center" id="btntuclogin"
                                   (click)="OpenLogin(tuclogin)">
                                    <i class="fa fa-user"></i>
                                    <span>My Account</span>
                                </a>
                            </li>
                            <li class="nav-item dropdown no-arrow dropdown-user" *ngIf="_HelperService.IsActiveUser">
                                <a class="nav-link d-flex flex-column align-items-center" href="#" id="userDropdown"
                                   role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fa fa-user"></i>
                                    <span>{{_HelperService._Account.DisplayName}}</span>
                                </a>
                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
                                    <a class="d-flex justify-content-start dropdown-item px-3"
                                       [routerLink]="['profile']">
                                        <i class="icofont-user mr-2"></i>&nbsp; Profile
                                    </a>
                                    <div class="dropdown-divider"></div>
                                    <a class="d-flex justify-content-start dropdown-item px-3" data-toggle="modal"
                                       (click)="confirmLogout(confirmLogoutModal)"><i
                                            class="icofont-logout mr-2"></i>&nbsp;
                                        Logout</a>
                                </div>
                            </li> 
                        </ul> -->
                    </div>
                    <ul class="navbar-nav ml-auto ml-md-0 mr-3">
                        <li class="nav-item dropdown dropdown-user">
                            <a class="nav-link dropdown-toggle" href="#" id="countryDropdown" role="button"
                               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <img class="img-fluid" [src]="_DataService._CountrySelcted.IconUrl" width="30"
                                     height="22">
                            </a>
                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="countryDropdown">
                                <div *ngFor="let item of _DataService.Countries; let last=last">
                                    <a class="dropdown-item" data-toggle="modal"
                                       (click)="_DataService.ChangeCountry(item, true)">
                                        <img class="img-fluid" src="{{item.IconUrl}}" width="30" style="height: 30px;">
                                        &nbsp; {{item.Name}}
                                    </a>
                                    <div class="dropdown-divider" *ngIf="!last"></div>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </section>
    <section class="middle-nav mobile_view d-flex d-md-none d-sm-flex p-0">
        <nav class="navbar navbar-expand-lg navbar-dark  bg-none p-0 w-100">
            <div class="container w-100 justify-content-between">
                <div class="d-flex">
                    <span class="px-2" id="mobileMenu" (click)="openBar()">
                        <svg width="22" height="15" viewBox="0 0 22 15" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M1.07143 0C0.479694 0 0 0.479695 0 1.07143C0 1.66316 0.479695 2.14286 1.07143 2.14286H20.3571C20.9489 2.14286 21.4286 1.66316 21.4286 1.07143C21.4286 0.479695 20.9489 0 20.3571 0H1.07143ZM1.07143 6.42857C0.479694 6.42857 0 6.90827 0 7.5C0 8.09173 0.479695 8.57143 1.07143 8.57143H20.3571C20.9489 8.57143 21.4286 8.09173 21.4286 7.5C21.4286 6.90827 20.9489 6.42857 20.3571 6.42857H1.07143ZM1.07143 12.8571C0.479694 12.8571 0 13.3368 0 13.9286C0 14.5203 0.479695 15 1.07143 15H20.3571C20.9489 15 21.4286 14.5203 21.4286 13.9286C21.4286 13.3368 20.9489 12.8571 20.3571 12.8571H1.07143Z"
                                  fill="#B11A83"/>
                        </svg>                        
                    </span>
                    <a class="navbar-brand" [routerLink]="['/home']" class="px-2">
                        <img class="img-fluid" width="69.23" height="43" src="assets/images/brand/dealday-logo.svg">
                        <!-- <img class="img-fluid" width="69.23" height="43"
                             src="assets/images/brand/dealday-valentine-logo.png"> -->
                    </a>
                </div>
                <div class="d-flex align-items-center">
                    <div class="px-3">
                        <ul class="user_link d-flex align-items-center">
                            <li class="px-1" *ngIf="!_HelperService.IsActiveUser">
                                <a class="nav-link d-flex flex-column align-items-center" id="btntuclogin"
                                   (click)="OpenLogin(tuclogin)">
                                    <i class="fa fa-user"></i>
                                </a>
                            </li>
                            <li class="nav-item dropdown no-arrow dropdown-user " *ngIf="_HelperService.IsActiveUser">
                                <a class="nav-link d-flex flex-column align-items-center" href="#" id="userDropdown"
                                   role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fa fa-user"></i>
                                </a>
                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
                                    <a class="d-flex justify-content-start dropdown-item px-3"
                                       [routerLink]="['profile']">
                                        <i class="icofont-user mr-2"></i>&nbsp; Profile
                                    </a>
                                    <div class="dropdown-divider"></div>
                                    <a class="d-flex justify-content-start dropdown-item px-3" data-toggle="modal"
                                       (click)="confirmLogout(confirmLogoutModal)"><i
                                            class="icofont-logout mr-2"></i>&nbsp;
                                        Logout</a>
                                </div>
                            </li>
                            <li class="nav-item dropdown dropdown-user m-0">
                                <a class="nav-link dropdown-toggle" href="#" id="countryDropdown" role="button"
                                   data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <img class="img-fluid" [src]="_DataService._CountrySelcted.IconUrl" width="30"
                                         height="22">
                                </a>
                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="countryDropdown">
                                    <div *ngFor="let item of _DataService.Countries; let last=last">
                                        <a class="dropdown-item" data-toggle="modal"
                                           (click)="_DataService.ChangeCountry(item, true)">
                                            <img class="img-fluid" src="{{item.IconUrl}}" width="30"
                                                 style="height: 30px;">
                                            &nbsp; {{item.Name}}
                                        </a>
                                        <div class="dropdown-divider" *ngIf="!last"></div>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </nav>
    </section>
    <section class="top-nav nav-menu p-0 w-100 d-none d-md-flex d-sm-none">
        <div class="container d-flex">
            <nav class="navbar navbar-expand-lg navbar-dark bg-none p-0 w-100">
                <div class="form-noborder" *ngIf="_DataService.enableCatDropdown">
                    <div class="mb-0 mr-3">
                        <!-- previous implementation (in-future requirements) -->
                        <!-- <button class="location-dot-icon p-0" style="font-size: 14px;"
                                (click)="toggleCategorySection()" *ngIf="isHome(router.url)">
                            <img src="../../../assets/images/menu-bars.svg" width="21.43" height="15" alt=""> &nbsp;
                            All Categories
                        </button> -->
                        <div class="nav-item dropdown no-arrow">
                            <a class="nav-link d-flex flex-row align-items-center text-white px-0"
                               id="categoryDropdown"
                               role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
                               style="font-size: 14px;">
                                <img src="../../../assets/images/menu-bars.svg" width="21.43" height="15" alt="">
                                &nbsp;
                                All Categories
                            </a>
                            <div class="dropdown-menu dropdown-menu-left" aria-labelledby="categoryDropdown"
                                 style="width: 262px;">
                                <div class="flying-menu">
                                    <div class="category-menu">
                                        <h6 class="mb-4">Categories</h6>
                                        <ul class="category-list">
                                            <li class="d-flex justify-content-start dropdown-item py-2 cursor-pointer"
                                                [ngClass]="{'mb-1': !last}"
                                                *ngFor="let TItem of _DataService._CategoriesSorted ; let i = index; let last = last;"
                                                (click)="navigateToRoute('/category/' + convertRouteName(TItem.Name))">
                                                <img [src]="TItem.IconUrl" width="25" height="25" alt=""
                                                     class="mr-3">
                                                <span class="text-dark">{{TItem.Name}}</span>
                                                <div class="dropdown-divider" *ngIf="!last"></div>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                    <ul class="navbar-nav d-flex flex-row">
                        <li class="nav-item mx-4">
                            <a class="d-flex align-items-center text-white" href="/deals" routerLinkActive="activeLink">
                                <img src="assets/images/all-deal-icon.svg" alt="all-deal-icon" class="mr-2"> 
                                <span>All Deals</span>
                            </a>
                        </li>
                        <li class="nav-item mx-4">
                            <a class="text-white" href="/help-center">Help Center</a>
                        </li>
                        <li class="nav-item mx-4">
                            <a class="text-white" routerLink="/track-order">Track Your Orders</a>
                        </li>
                        <li class="nav-item mx-4">
                            <a class="text-white d-flex justify-content-center align-items-center ml-2"
                                [href]="_HelperService.AppConfig.MerchantPanelUrl" target="_blank">
                                Become a Seller
                            </a>
                        </li>
                        <li class="nav-item mx-4">
                            <a class="text-white d-flex justify-content-center align-items-center ml-2"
                                [href]="_HelperService.AppConfig.Partners_DocumentApi" target="_blank">
                                Become a Partner
                            </a>
                        </li>
                    </ul>
                    <ul class="navbar-nav ms-auto">
                        <li class="nav-item mx-4" *ngIf="!_HelperService.IsActiveUser">
                            <a class="d-flex align-items-center cursor-pointer" id="btntuclogin" (click)="OpenLogin(tuclogin)">
                                <img src="assets/images/account-icon.svg" alt="account-icon" class="mr-1">
                                <span>My Account</span></a>
                        </li>
                        <li class="nav-item dropdown no-arrow" *ngIf="_HelperService.IsActiveUser">
                            <a class="d-flex text-white align-items-center cursor-pointer" href="#" id="userDropdown"
                               role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                               <img src="assets/images/account-icon.svg" alt="account-icon" class="mr-1">
                                <span>{{_HelperService._Account.DisplayName}}</span>
                            </a>
                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
                                <a class="d-flex justify-content-start dropdown-item px-3"
                                   [routerLink]="['profile']">
                                    <i class="icofont-user mr-2"></i>&nbsp; Profile
                                </a>
                                <div class="dropdown-divider"></div>
                                <a class="d-flex justify-content-start dropdown-item px-3" data-toggle="modal"
                                   (click)="confirmLogout(confirmLogoutModal)"><i
                                        class="icofont-logout mr-2"></i>&nbsp;
                                    Logout</a>
                            </div>
                        </li> 
                    </ul>
                </nav>
            </div>
    </section>
    <section class="top-nav nav-menu p-0 w-100 mobile_view d-flex d-md-none d-sm-flex">
        <div class="container d-flex">
            <nav class="navbar navbar-expand-lg navbar-dark bg-none p-0 w-100">
                <div class="form-noborder" style="width: 100%;">
                    <div class="form-row">
                        <div class="col-12 form-group mb-0 d-flex justify-content-around position-relative">
                            <app-top-nav-search [styles]="'100%'" [class]="'w-100'"></app-top-nav-search>
                        </div>
                    </div>
                </div>
            </nav>
        </div>
    </section>
</header>

<!-- modals -->
<!-- confirm logout modal -->
<ng-template #confirmLogoutModal let-modal>
    <div class="modal-header tuc-confirm-logout-body text-center d-flex justify-content-center">
        <h4 class="modal-title" id="modal-basic-title">Logout</h4>
    </div>
    <div class="modal-body text-center">
        <h6>Are you sure you want to logout?</h6>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline" (click)="modal.close('Cancel click')">Cancel</button>
        <button type="button" class="btn btn-primary" (click)="Logout();modal.close('Yes click')">Yes</button>
    </div>
</ng-template>

<!-- login modal -->
<ng-template #tuclogin let-modal>
    <div class="modal-body tuc-pp-login-body ">
        <div class="row">
            <div class="col-lg-5  p-0">
                <div class="tuc-login-leftitem">
                    <img src="assets/images/logologin.png" style="    width: 75%;
                    margin-left: 15%;
                    margin-top: 15%;">
                </div>
            </div>
            <div class="col-lg-7 p-0">
                <div class="tuc-login-rightitem" *ngIf="_vStage.level == 1">
                    <div class="pt-5 pb-5 ">
                        <div class="mb-5">
                            <h5>Login / Register</h5>
                            <div>Enter your mobile number to login or register</div>
                        </div>
                        <div class="btn-group">
                            <div class="dropdown">
                                <button class="btn  dropdown-toggle " type="button" id="ddcountry"
                                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="    padding: 8px 6px;
                                margin-bottom: 12px; color:#7987A1; font-size: 12px;">
                                    <img [src]="_SelectedCountryDetails.IconUrl" style="    height: 20px;    width: 30px;
                                border-radius: 2px;
                                margin-right: 8px;">
                                    ({{_SelectedCountryDetails.CountryCode}})
                                </button>
                                <div class="dropdown-menu" aria-labelledby="ddcountry">
                                    <a class="dropdown-item " (click)="CountrySelect(1)" style="    padding-bottom: 8px;  cursor: pointer;
                                padding-top: 8px;">
                                        <img src="assets/images/flag/ng.png" style="height: 20px;    width: 30px; cursor: pointer;
                                        border-radius: 3px;
                                        margin-right: 8px;"> Nigeria (+234)
                                    </a>
                                    <a class="dropdown-item" (click)="CountrySelect(2)" style="    padding-bottom: 8px;
                                padding-top: 8px;">
                                        <img src="assets/images/flag/gh.png" style="height: 20px;    width: 30px;
                                        border-radius: 3px;
                                        margin-right: 8px;"> Ghana (+233)
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="mb-5">
                            <div>Enter your mobile number</div>
                            <div class="form-group ">
                                <input type="text" class="form-control" id="tauthmobile" maxlength="13" minlength="9"
                                       oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                       [(ngModel)]="_VInfo.MobileNumber">
                            </div>
                        </div>
                        <div class="">
                            <button type="button" *ngIf="!_HelperService.IsProcessing" class="btn btn-primary btn-block"
                                    (click)="ValidateMobile()">Request
                                OTP
                            </button>
                            <button type="button" *ngIf="_HelperService.IsProcessing" class="btn btn-primary btn-block"
                                    disabled>
                                Please wait
                            </button>
                        </div>
                    </div>
                </div>
                <div class="tuc-login-rightitem" *ngIf="_vStage.level == 2">
                    <div class="pt-5 pb-5 ">
                        <div class="mb-5">
                            <h5>Verify Mobile</h5>
                            <div>Enter verification code received at {{_VInfo.MobileNumber}}.
                            </div>
                        </div>
                        <div class="mb-5 ">
                            <div class="form-group ">
                                <label>Enter otp</label>
                                <div>
                                    <ng-otp-input (onInputChange)="onOtpChange($event)"
                                                  [config]="{length:4 ,isPasswordInput:true,allowNumbersOnly : true , inputClass : 'form-control-otp'}">
                                    </ng-otp-input>
                                </div>
                            </div>
                        </div>
                        <div class="mb-2">
                            <button type="button" *ngIf="!_HelperService.IsProcessing" class="btn btn-primary btn-block"
                                    (click)="ValidateOtp()">Verify
                                OTP
                            </button>
                            <button type="button" *ngIf="_HelperService.IsProcessing" class="btn btn-primary btn-block"
                                    disabled>
                                Please wait
                            </button>
                        </div>
                        <div class="text-center">
                            <a (click)="ChangeNumber()" class="cursor-pointer">Change number</a>
                        </div>
                    </div>
                </div>
                <div class="tuc-login-rightitem" *ngIf="_vStage.level == 3">
                    <div class="pt-5 pb-5 ">
                        <div class="mb-5">
                            <h5>Profile Setup</h5>
                            <div>Enter your information below</div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label for="authfirstname">First Name</label>
                                    <input type="text" class="form-control" id="uthauthfirstname"
                                           [(ngModel)]="_Profile.FirstName">
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label for="authlastname">Last Name</label>
                                    <input type="text" class="form-control" id="authlastname"
                                           [(ngModel)]="_Profile.LastName">
                                </div>
                            </div>
                            <div class="col-lg-12">
                                <div class="form-group">
                                    <label for="authemail">Email Address</label>
                                    <input type="text" class="form-control" id="authemail"
                                           [(ngModel)]="_Profile.EmailAddress">
                                </div>
                            </div>
                            <div class="col-lg-12 mb-3">
                                <div>
                                    <label>Gender</label>
                                </div>
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="authgender" id="inlineRadio1"
                                           value="authmale" (click)="SetGender('male')">
                                    <label class="form-check-label" for="authmale">Male</label>
                                </div>
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="authgender" id="inlineRadio2"
                                           value="authfemale" (click)="SetGender('female')">
                                    <label class="form-check-label" for="authfemale">Female</label>
                                </div>
                            </div>

                        </div>
                        <div class="row mb-5">
                            <div class="col-12">
                                <label> Date Of Birth</label>
                            </div>
                            <div class="col-4">
                                <select class="form-control" placeholder="Day" aria-label="Day" id="day"
                                        [(ngModel)]="_Profile.Day">
                                    <option selected value="null" disabled>Day</option>
                                    <option value="1">01</option>
                                    <option value="2">02</option>
                                    <option value="3">03</option>
                                    <option value="4">04</option>
                                    <option value="5">05</option>
                                    <option value="6">06</option>
                                    <option value="7">07</option>
                                    <option value="8">08</option>
                                    <option value="9">09</option>
                                    <option value="10">10</option>
                                    <option value="11">11</option>
                                    <option value="12">12</option>
                                    <option value="13">13</option>
                                    <option value="14">14</option>
                                    <option value="15">15</option>
                                    <option value="16">16</option>
                                    <option value="17">17</option>
                                    <option value="18">18</option>
                                    <option value="19">19</option>
                                    <option value="20">20</option>
                                    <option value="21">21</option>
                                    <option value="22">22</option>
                                    <option value="23">23</option>
                                    <option value="24">24</option>
                                    <option value="25">25</option>
                                    <option value="26">26</option>
                                    <option value="27">27</option>
                                    <option value="28">28</option>
                                    <option value="29">29</option>
                                    <option value="30">30</option>
                                    <option value="31">31</option>
                                </select>
                            </div>
                            <div class="col-4">
                                <select class="form-control" placeholder="Month" aria-label="Month" id="month"
                                        [(ngModel)]="_Profile.Month">
                                    <option selected value="null" disabled> Month</option>
                                    <option value="0">Jan</option>
                                    <option value="1">Feb</option>
                                    <option value="2">Mar</option>
                                    <option value="3">Apr</option>
                                    <option value="4">May</option>
                                    <option value="5">Jun</option>
                                    <option value="6">Jul</option>
                                    <option value="7">Aug</option>
                                    <option value="8">Sept</option>
                                    <option value="9">Oct</option>
                                    <option value="10">Nov</option>
                                    <option value="11">Dec</option>
                                </select>
                            </div>
                            <div class="col-4">
                                <select class="form-control" placeholder="Day" aria-label="Year" id="year"
                                        [(ngModel)]="_Profile.Year">
                                    <option selected value="null" disabled>Year</option>
                                    <option value="1940">1940</option>
                                    <option value="1941">1941</option>
                                    <option value="1942">1942</option>
                                    <option value="1943">1943</option>
                                    <option value="1944">1944</option>
                                    <option value="1945">1945</option>
                                    <option value="1946">1946</option>
                                    <option value="1947">1947</option>
                                    <option value="1948">1948</option>
                                    <option value="1949">1949</option>
                                    <option value="1950">1950</option>
                                    <option value="1951">1951</option>
                                    <option value="1952">1952</option>
                                    <option value="1953">1953</option>
                                    <option value="1954">1954</option>
                                    <option value="1955">1955</option>
                                    <option value="1956">1956</option>
                                    <option value="1957">1957</option>
                                    <option value="1958">1958</option>
                                    <option value="1959">1959</option>
                                    <option value="1960">1960</option>
                                    <option value="1961">1961</option>
                                    <option value="1962">1962</option>
                                    <option value="1963">1963</option>
                                    <option value="1964">1964</option>
                                    <option value="1965">1965</option>
                                    <option value="1966">1966</option>
                                    <option value="1967">1967</option>
                                    <option value="1968">1968</option>
                                    <option value="1969">1969</option>
                                    <option value="1970">1970</option>
                                    <option value="1971">1971</option>
                                    <option value="1972">1972</option>
                                    <option value="1973">1973</option>
                                    <option value="1974">1974</option>
                                    <option value="1975">1975</option>
                                    <option value="1976">1976</option>
                                    <option value="1977">1977</option>
                                    <option value="1978">1978</option>
                                    <option value="1979">1979</option>
                                    <option value="1980">1980</option>
                                    <option value="1981">1981</option>
                                    <option value="1982">1982</option>
                                    <option value="1983">1983</option>
                                    <option value="1984">1984</option>
                                    <option value="1985">1985</option>
                                    <option value="1986">1986</option>
                                    <option value="1987">1987</option>
                                    <option value="1988">1988</option>
                                    <option value="1989">1989</option>
                                    <option value="1990">1990</option>
                                    <option value="1991">1991</option>
                                    <option value="1992">1992</option>
                                    <option value="1993">1993</option>
                                    <option value="1994">1994</option>
                                    <option value="1995">1995</option>
                                    <option value="1996">1996</option>
                                    <option value="1997">1997</option>
                                    <option value="1998">1998</option>
                                    <option value="1999">1999</option>
                                    <option value="2000">2000</option>
                                    <option value="2001">2001</option>
                                    <option value="2002">2002</option>
                                    <option value="2003">2003</option>
                                    <option value="2004">2004</option>
                                    <option value="2005">2005</option>
                                    <option value="2006">2006</option>
                                    <option value="2007">2007</option>
                                    <option value="2008">2008</option>
                                    <option value="2009">2009</option>
                                    <option value="2010">2010</option>
                                    <option value="2011">2011</option>
                                    <option value="2012">2012</option>
                                    <option value="2013">2013</option>
                                    <option value="2014">2014</option>
                                    <option value="2015">2015</option>
                                    <option value="2016">2016</option>
                                    <option value="2017">2017</option>
                                    <option value="2018">2018</option>
                                    <option value="2019">2019</option>
                                    <option value="2020">2020</option>
                                    <option value="2021">2021</option>
                                </select>
                            </div>
                        </div>
                        <div class="">
                            <button type="button" *ngIf="!_HelperService.IsProcessing" class="btn btn-primary btn-block"
                                    (click)="SetProfile()">
                                Save Profile
                            </button>
                            <button type="button" *ngIf="_HelperService.IsProcessing" class="btn btn-primary btn-block"
                                    disabled>
                                Please wait
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</ng-template>

<!-- location modal -->
<ng-template #tuclocation let-modal>
    <div class="modal-header modal-header-search">
        <h4 class="modal-title tuc-loc-search-title">Select your location
            <button class="btn btn-light btn-sm ml-2"
                    (click)="modal.dismiss('Cross click');_DataService.ClearCity()">All Locations
            </button>
        </h4>
        <div class="search-loc-city">
            <div class="filters-search mr-4">
                <div class="form-group mb-0">
                    <i class="icofont-search"></i>
                    <input type="text" class="form-control" placeholder="Search city" (keyup)="_SearchContent($event)">
                </div>
            </div>
            <button type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click')"></button>
        </div>
    </div>
    <div class="modal-body tuc-loc-search p-0">
        <div>
            <app-filter-city [TCities]="_DataService._SearchedCities"
                             (CityChange)="_DataService.CityChange($event, true); modal.close()"></app-filter-city>
        </div>
    </div>
</ng-template>

<!-- search modal -->
<ng-template #tucsearch let-modal>
    <div class="modal-body tuc-pp-search-body ">
        <div class="container bg-white px-md-5" style="border-radius: 1rem;">
            <div class="d-block d-sm-none">
                <button type="button" class="close tuc-pp-search-close" aria-label="Close"
                        (click)="modal.dismiss('Cross click')" style="font-size: 3rem;">
                    <i class="icofont-close-line"></i>
                </button>
                <div class="mb-3">
                    <input class="tuc-pp-search-input" [(ngModel)]="GlobalSearchParameter"
                           placeholder="Search for deals, coupons , stores & offers..." (keyup)="GlobalSearch()"
                           style="font-size:14px">
                </div>
            </div>
            <div class="d-none  d-sm-block ">
                <button type="button" class="close tuc-pp-search-close" aria-label="Close"
                        (click)="modal.dismiss('Cross click')">
                    <i class="icofont-close-line"></i>
                </button>
                <div class="mb-3">
                    <input class="tuc-pp-search-input" [(ngModel)]="GlobalSearchParameter"
                           placeholder="Search for deals, coupons , stores & offers..." (keyup)="GlobalSearch()">
                </div>
            </div>
            <div class="row">
                <div class="col-lg-8" style="height: 500px; overflow: auto;">
                    <div *ngFor="let TItem of _DealsSearch ; let i = index">
                        <div class="gold-members p-4" style="border-bottom: 1px solid #f1f1f1;">
                            <a [routerLink]="['/buydeal/', TItem.Slug]" (click)="_LoadDeal(TItem)">
                                <div class="custom-card-body">
                                    <h6 class="mb-3">{{TItem.Title}}</h6>
                                </div>
                                <div class="media">

                                    <img class="mr-3" [src]="TItem.ImageUrl" alt="Generic placeholder image"
                                         style="border-radius:12px; height: auto; width: 160px;border-radius: 6px;">
                                    <div class="media-body">
                                        <div class="custom-card-footer mb-2"> <span
                                                class="text-black text-medium actualprice"><span>₦</span>
                                            {{TItem.SellingPrice}} </span><span
                                                class="text-black sellingprice"><span>₦</span> {{TItem.ActualPrice}}
                                            </span></div>
                                        <div>
                                            at {{TItem.MerchantName}}
                                        </div>
                                        <div style="    color: #7988a1;
                                        font-size: 11px;
                                        white-space: wrap;
                                        overflow: hidden;
                                        text-overflow: ellipsis;">
                                            <span class=" cityname"
                                                  *ngIf="_DataService.ActiveCity == ''">{{TItem.CityName}}</span>
                                            {{TItem.Address}}
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 pt-4">
                    <h5 class="mb-3">Popular Categories</h5>
                    <span class="search-cat" *ngFor="let TItem of _DataService._CategoriesSorted ; let i = index"
                          (click)="GetCatDeals(TItem)">
                        <img [src]="TItem.IconUrl" class="border-radius search-cat-img" width="24" height="24">
                        <span class="search-cat-title">
                            {{TItem.Name}}
                        </span>
                    </span>
                </div>
            </div>
        </div>
    </div>
</ng-template>

<!-- mobile menu panel -->

<div id="mobilePanel">
    <div class="mobilePanel_header px-3">
        <span (click)="closeBar()">&times;</span>
        <a class="navbar-brand" [routerLink]="['/home']" class="px-2">
            <img class="img-fluid" width="69px" height="26px" src="assets/images/brand/dealday-logo.svg">
            <!-- <img class="img-fluid" width="69px" height="26px" src="assets/images/brand/dealday-valentine-logo.png"> -->
        </a>
    </div>

    <div class="banner_category-list">
        <h6 class="mb-4">Categories</h6>
        <ul>
            <li class="cursor-pointer mb-3"
                *ngFor="let TItem of _DataService._CategoriesSorted ; let i = index; let last = last;"
                [routerLink]="['/category/' + convertRouteName(TItem.Name)]">
                <img [src]="TItem.IconUrl" width="25" height="25" alt="" class="mr-3">
                <span>{{TItem.Name}}</span>
            </li>
        </ul>
    </div>
    <div class="mobilePanel_footer px-3 py-2">
        <a href="https://thankucash.com/business">BECOME A MERCHANT</a>
    </div>
</div>
